org.apache.solr.core

## Class SolrConfig.UpdateHandlerInfo

- java.lang.Object
- - org.apache.solr.core.SolrConfig.UpdateHandlerInfo

- All Implemented Interfaces:
    MapSerializable
  Enclosing class:
    SolrConfig

      public static class SolrConfig.UpdateHandlerInfo
      extends Object
      implements MapSerializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `autoCommmitMaxDocs`
    `int` | `autoCommmitMaxTime`
    `int` | `autoSoftCommmitMaxDocs`
    `int` | `autoSoftCommmitMaxTime`
    `String` | `className`
    `boolean` | `commitWithinSoftCommit`
    `boolean` | `indexWriterCloseWaitsForMerges`
    `boolean` | `openSearcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateHandlerInfo(String className, int autoCommmitMaxDocs, int autoCommmitMaxTime, boolean indexWriterCloseWaitsForMerges, boolean openSearcher, int autoSoftCommmitMaxDocs, int autoSoftCommmitMaxTime, boolean commitWithinSoftCommit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `toMap(Map<String,Object> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          public final String className

    - #### autoCommmitMaxDocs

          public final int autoCommmitMaxDocs

    - #### autoCommmitMaxTime

          public final int autoCommmitMaxTime

    - #### autoSoftCommmitMaxDocs

          public final int autoSoftCommmitMaxDocs

    - #### autoSoftCommmitMaxTime

          public final int autoSoftCommmitMaxTime

    - #### indexWriterCloseWaitsForMerges

          public final boolean indexWriterCloseWaitsForMerges

    - #### openSearcher

          public final boolean openSearcher

    - #### commitWithinSoftCommit

          public final boolean commitWithinSoftCommit

  - ### Constructor Detail

    - #### UpdateHandlerInfo

          public UpdateHandlerInfo(String className,
                                   int autoCommmitMaxDocs,
                                   int autoCommmitMaxTime,
                                   boolean indexWriterCloseWaitsForMerges,
                                   boolean openSearcher,
                                   int autoSoftCommmitMaxDocs,
                                   int autoSoftCommmitMaxTime,
                                   boolean commitWithinSoftCommit)

      Parameters:
        `autoCommmitMaxDocs` - set -1 as default
        `autoCommmitMaxTime` - set -1 as default

  - ### Method Detail

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.